#include <iostream>
#include <stdlib.h>
#include "spir.hpp"

int main(int argc, char **argv)
{
    if (argc < 2 || argc > 4) {
        std::cerr << "Usage: " << argv[0] << " r [num_threads [num_pirs]]\n";
        std::cerr << "r = log_2(num_records)\n";
        exit(1);
    }
    uint32_t r, num_threads = 1, num_pirs = 1;
    r = strtoul(argv[1], NULL, 10);
    if (argc > 2) {
        num_threads = strtoul(argv[2], NULL, 10);
    }
    if (argc > 3) {
        num_pirs = strtoul(argv[3], NULL, 10);
    }

    SPIR::init(num_threads);

    return 0;
}
